%global momorel 2
%global xfce4ver 4.4.2
%global with_dbus 0
# build without dbus support
    
Summary:        Xfmedia - lightweight media player based on the xine engine
Name:           xfmedia
Version:        0.9.2
Release:        %{momorel}m%{?dist}
License:        GPLv2
Group:          Applications/Multimedia
Source0:        http://spuriousinterrupt.org/projects/xfmedia/files/%{name}-%{version}.tar.bz2
NoSource:	0
# Source0-md5:  6eb8bd1f67201f829e0f45e733c02bd5
Patch0:         %{name}-desktop.patch
URL:            http://spuriousinterrupt.org/projects/xfmedia/index.php
BuildRequires:  autoconf >= 2.50
BuildRequires:  automake >= 1.8
%{?with_dbus:BuildRequires:     dbus-glib-devel >= 0.31}
BuildRequires:  gtk2-devel >= 2.6.0
BuildRequires:  exo-devel >= 0.3.4
BuildRequires:  libtool
BuildRequires:  libxfce4util-devel >= %{xfce4ver}
BuildRequires:  libxfcegui4-devel >= %{xfce4ver}
#BuildRequires:  rpmbuild(macros) >= 1.311
BuildRequires:  startup-notification-devel
BuildRequires:  taglib-devel
BuildRequires:  xfce4-dev-tools >= 4.4.0.1
BuildRequires:  xine-lib
#BuildRequires:  xorg-lib-libXScrnSaver-devel
#Requires(post,postun):  gtk+2 >= 2.6.0
#Requires(post,postun):  hicolor-icon-theme
Requires:       exo >= 0.3.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Xfmedia is a lightweight media player based on the xine engine. The
GTK+ GUI focuses on playing and managing audio files, but, being based
on xine, supports video as well.

%package plugins
Summary:        Xfmedia plugins
Group:          Applications/Multimedia
Requires:       %{name} = %{version}-%{release}

%description plugins
Xfmedia plugins:
- infopipe

%package devel
Summary:        Header files for Xfmedia
Group:          Applications/Multimedia
Requires:       %{name} = %{version}-%{release}

%description devel
Xfmedia - header files.

%prep
%setup -q
%patch0 -p0

%build
%configure \
        --disable-static \
        --%{?with_dbus:en}%{!?with_dbus:dis}able-dbus \
        --enable-startup-notification \
        --with-taglib \
        --x-includes=%{_includedir}/xorg \
        --x-libraries=%{_prefix}/lib/X11
%{__make}

%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/xfmedia/plugins/xfmedia-infopipe.la
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO
%dir %{_sysconfdir}/xdg/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/%{name}/*
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/22x22/actions/*
%{_desktopdir}/*.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/doc
%{_datadir}/%{name}/doc/xfce.css
%dir %{_datadir}/%{name}/doc/C/
%{_datadir}/%{name}/doc/C/*

%files plugins
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.2-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.2-1m)
- initial Momonga package based on PLD
